Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002744 [JEDI VCL] 00 JVCL Components minor always 2005-03-12 01:40 2005-04-22 05:34
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002744: about rect function in jclGraphUtils and JvJvclUtils
Description The function RectWidth and RectHeight must be Normalize first.Can move the rect and point functions from jclGraphUtils toJvJVCLUtils unit? thanks!
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006935)
obones (administrator)
2005-04-12 05:18

What?
What exactly do you want and why do you want it?
(0006989)
anonymous (viewer)
2005-04-12 22:30

If did't normalize rect first,the RectWidth and RectHeight function maybe return negative, so we must call "RectNormalize" fist in function in RectWidth and RectHeight.

most of rect and point functions in jclGraphUtils never used,so can moved to JvJVCLUtils unit?
(0006994)
outchy (administrator)
2005-04-13 02:39

Which version of the JCL are you using ?

In the current version, the result is the absolute value of the difference.
(0007031)
dejoy (reporter)
2005-04-19 23:43

I'm use he last date CVS version .In the JvJclUtils.pas have the RectWidth and RectHeight too,you fixd file is the jclGraphUtils,but did't fix the JvJclUtils.the are the same function in jclGraphUtils and JvJclUtils ,can you merge them in one file, Can move the rect and point functions from jclGraphUtils toJvJCLUtils unit? then rect function in jclGraphUtils is never used.
(0007033)
outchy (administrator)
2005-04-20 12:49

The functions located in JvJclUtils where not patched. Thanks for reporting this bug.

About moving code from the JCL unit to the JVCL unit, I really don't think this is a good idea, beacause a 3rd-party project that needed only the jcl would require the jvcl too after the modifications.
(0007037)
obones (administrator)
2005-04-22 05:34

Yep I agree, these functions should not even be there in the first place.
The J_V_CL uses the JCL, NOT the other way round.

- Issue History
Date Modified Username Field Change
2005-03-12 01:40 anonymous New Issue
2005-04-12 05:18 obones Note Added: 0006935
2005-04-12 05:18 obones Status new => feedback
2005-04-12 22:30 anonymous Note Added: 0006989
2005-04-13 02:39 outchy Note Added: 0006994
2005-04-19 23:43 dejoy Note Added: 0007031
2005-04-20 12:49 outchy Note Added: 0007033
2005-04-22 05:34 obones Status feedback => resolved
2005-04-22 05:34 obones Resolution open => fixed
2005-04-22 05:34 obones Assigned To => obones
2005-04-22 05:34 obones Note Added: 0007037


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker